<?php
if(!defined("PHORUM")) return;

require_once("./mods/banner_manager/defaults.php");
require_once("./mods/banner_manager/render.php");

// Find out what block we want to display on this page.
function phorum_mod_banner_manager_common()
{
    $settings = $GLOBALS["PHORUM"]["mod_banner_manager"];

    switch(phorum_page) {
        case "pm": $page_id = "pm"; break;
        case "login": $page_id = "login"; break;
        case "register": $page_id = "register"; break;
        case "profile": $page_id = "profile"; break;
        case "control": $page_id = "control"; break;
        default: $page_id = $GLOBALS["PHORUM"]["forum_id"];
    }

    $block = '';
    if (isset($settings["links"][$page_id])) {
        $banner_id = $settings["links"][$page_id];
        if ($banner_id == "NULL") {
            $banner_id = NULL;
        } elseif ($banner_id == "RANDOM") {
            $banner_id = array_rand($settings["banners"]);
        } elseif (preg_match('/^BANNER:(.+)$/', $banner_id, $m)) {
            $banner_id = $m[1];
        }
        if ($banner_id != NULL && isset($settings["banners"][$banner_id])) {
            $banner = $settings["banners"][$banner_id];
            $block = phorum_mod_banner_manager_render($banner);
        }
    }
    $GLOBALS["PHORUM"]["DATA"]["MOD_BANNER_MANAGER"] = $block;
}

function phorum_mod_banner_manager_after_header(){
    phorum_mod_banner_manager_automatic_display("after_header");
}

function phorum_mod_banner_manager_before_footer(){
    phorum_mod_banner_manager_automatic_display("before_footer");
}

function phorum_mod_banner_manager_automatic_display($hook)
{
    $settings = $GLOBALS["PHORUM"]["mod_banner_manager"];

    // We're done if we don't want to display the banner in the current hook.
    if ($settings["banner_position"] != $hook) return;

    // We're done if we don't want to display the banner automatically.
    if ($settings["hide_banner"]) return;

    print "<div style=\"text-align:{$settings["banner_alignment"]}\">";
    print $GLOBALS["PHORUM"]["DATA"]["MOD_BANNER_MANAGER"];
    print "</div>";
}
?>
