<?php

    // Commit the current block.
    if (isset($_POST["ok"])) {
        $banners[$_POST["edit"]]["block"] = $_POST["block"];
        $banners[$_POST["edit"]]["timestamp"] = time();
        banner_manager_save_settings();
        unset($_POST);
        include("settings_banners.php");
        return;
    }


    // Cancel editing. Remove the banner in case we are editing
    // a new banner.
    if (isset($_POST["cancel"])) {
        if ($edit_type == 'add') {
            unset($banners[$_POST["edit"]]);
            banner_manager_save_settings();
        }
        unset($_POST);
        include("settings_banners.php");
        return;
    }

    // Display a preview of the current banner block.
    if (isset($_POST["preview"])) {
        print "<h3>Block preview:</h3>";
        $data = $banners[$_POST["edit"]];
        $data["block"] = $_POST["block"];
        $data["timestamp"] = time();
        print "<div style=\"border: 1px solid black; padding: 10px\">";
        print phorum_mod_banner_manager_render($data, true);
        print "</div>";
    }

    if (! isset($_POST["block"])) {
        $_POST["block"] = $banner["block"];
    }

?>

    <form style="display:inline" action="admin.php" method="post">
    <input type="hidden" name="module" value="modsettings"/>
    <input type="hidden" name="mod" value="banner_manager"/>
    <input type="hidden" name="panel" value="banners"/>
    <input type="hidden" name="edit" value="<?php print htmlspecialchars($banner["id"])?>"/>
    <input type="hidden" name="type" value="<?php print $edit_type?>"/>

<?php
    if ($edit_type == 'edit') {
        print "<h3>Edit banner block: ";
    } else {
        print "<h3>Add new banner block: ";
    }
    print htmlspecialchars($banner["name"]);
    print "</h3>";
?>

    Here, you can enter the data for the block. This data will be
    PHP included in the Phorum pages. This means that you can use
    HTML, PHP or a combination of both to define your blocks.
    If you are using PHP code, then make sure that the code is
    running correctly by requesting a preview before committing it.
    <br/><br/>

    <b>Enter the block code:</b><br/>
    <textarea name="block" cols="70" rows="10" style="width:95%"><?php print htmlspecialchars($_POST["block"]) ?></textarea>
    <br/>
    <input type="submit" name="preview" value="  Preview  ">
    <input type="submit" name="ok" value="  OK  ">
    <input type="submit" name="cancel" value="  Cancel  ">

    </form>
